---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: fetcher
spec:
  selector:
    matchLabels:
      container: fetcher
  template:
    metadata:
      labels:
        container: fetcher
        is-container: 'true'
        use-fallback-network-policy: 'true'
        uses-compat-layer: citadel
    spec:
      containers:
      - env:
        - name: USOCIAL_JOB
          value: FETCH_FEEDS
        image: ghcr.io/ibz/usocial:v0.1.7-buster@sha256:864d0d225ed3f48060e6020abbe95355c99fb4426da3fdfb4e185581ccd0368b
        name: fetcher
        volumeMounts:
        - mountPath: /instance
          name: host-home-citadel-citadel-app-data-usocial-data
        - mountPath: /lnd
          name: host-home-citadel-citadel-app-data-lnd-lnd
      terminationGracePeriodSeconds: 60
      volumes:
      - hostPath:
          path: /home/citadel/citadel/app-data/lnd/lnd
        name: host-home-citadel-citadel-app-data-lnd-lnd
      - hostPath:
          path: /home/citadel/citadel/app-data/usocial/data
        name: host-home-citadel-citadel-app-data-usocial-data

---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: main
spec:
  selector:
    matchLabels:
      container: main
  template:
    metadata:
      labels:
        container: main
        is-container: 'true'
        use-fallback-network-policy: 'true'
        uses-compat-layer: citadel
    spec:
      containers:
      - env:
        - name: APP_PASSWORD
          value: 061be2ed0c3570894b6834c2648c850ce293ecd945b76154ea3397d3259626db
        - name: LND_DIR
          value: /lnd
        - name: LND_GRPC_PORT
          value: '10009'
        - name: LND_IP
          value: service.lnd.admin.nirvati
        - name: USOCIAL_JOB
          value: WEB
        image: ghcr.io/ibz/usocial:v0.1.7-buster@sha256:864d0d225ed3f48060e6020abbe95355c99fb4426da3fdfb4e185581ccd0368b
        name: main
        volumeMounts:
        - mountPath: /instance
          name: host-home-citadel-citadel-app-data-usocial-data
        - mountPath: /lnd
          name: host-home-citadel-citadel-app-data-lnd-lnd
      terminationGracePeriodSeconds: 60
      volumes:
      - hostPath:
          path: /home/citadel/citadel/app-data/lnd/lnd
        name: host-home-citadel-citadel-app-data-lnd-lnd
      - hostPath:
          path: /home/citadel/citadel/app-data/usocial/data
        name: host-home-citadel-citadel-app-data-usocial-data

